get
https://api.rotowire.com/Basketball/WNBA/News.php
Query Parameters
| Parameter | Type | Required | Description |
|---|---|---|---|
date | string | No | Date to retrieve news for. Format YYYY-MM-DD. Defaults to current date. |
hours | integer | No | Return news from the last N hours. |
max_priority | integer | No | Return only news at or above this priority level. |
with_analysis | integer | No | Include analytical commentary. 1 = Yes, 0 = No. Options: 0, 1 · Default: 1 |
Attributes
Top-Level Fields
| Field | Type | Description |
|---|---|---|
League | string | League identifier code (e.g. NBA, MLB, EPL) |
Date | string | Date in YYYY-MM-DD format |
Updates | array | Array of news or injury update objects |
Updates Object
| Field | Type | Description |
|---|---|---|
Id | string | Unique RotoWire identifier |
DateTime | string | Date and time in ISO 8601 format |
Priority | string | News priority level — 1 = Biggest News, 2 = Top Players, 3 = Regular, 4 = Minor Leaguers, 5 = Non-Fantasy |
Headline | string | Short headline summarizing the update |
Notes | string | Brief factual notes about the player or event |
Analysis | string | In-depth analytical commentary on fantasy and betting impact |
Injury | object | Injury status and details |
Player | object | Player information object |
Team | object | Team information object |
Injury Object
| Field | Type | Description |
|---|---|---|
Status | string | Injury or availability status (e.g. OUT, GTD, Q, D, IR) |
EspnInjuryStatus | string | ESPN injury status designation |
Type | string | Type of injury (e.g. Knee, Ankle, Back, Hamstring) |
Location | string | General body location of the injury |
Detail | string | Specific injury detail or descriptor (e.g. Sprain, Strain, Fracture) |
Side | string | Affected side of the body (Left, Right, or Not Specified) |
ReturnDate | string | Estimated date of return from injury (YYYY-MM-DD) |
Player Object
| Field | Type | Description |
|---|---|---|
FirstName | string | Player's first name |
LastName | string | Player's last name |
Position | string | Player's eligible position(s) (e.g. PG, SG, SF, PF, C, G, F, G/F, F/C) |
InjuryStatus | string | Player injury status abbreviation |
Link | string | URL to the player's RotoWire profile page |
Id | string | Unique RotoWire identifier |
WNBAId | string | Official WNBA identifier |
Team Object
| Field | Type | Description |
|---|---|---|
Name | string | Full name |
Id | string | Unique RotoWire identifier |
Code | string | Short team code or abbreviation (e.g. NYY, LAL, NE) |
Example Response
{"League":"WNBA","Date":"2026-05-14","Updates":[{"Id":"30536","DateTime":"2026-05-14T07:38:00-07:00","Priority":"3","Headline":"Waived by Connecticut","Notes":"Peddy (knee) was waived by the Sun on Thursday.","Analysis":"Peddy joined the Sun on a training camp contract in mid-April, but she didn\u0027t appear in any preseason or regular-season matchups due to a left knee injury. The 37-year-old made 15 regular-season appearances (five starts) between the Sparks and Fever last year, averaging 5.1 points, 2.2 assists and 1.9 rebounds in 18.6 minutes per game, and it\u0027s not yet clear whether her knee issue will impact her as she seeks out other opportunities around the WNBA. Nell Angloma (overseas commitment) was activated by the Sun in a corresponding move Thursday.","Injury":{"Status":"OUT","EspnInjuryStatus":"OUT","Type":"Knee","Location":null,"Detail":null,"Side":"Left","ReturnDate":"2026-05-22"},"Player":{"FirstName":"Shey","LastName":"Peddy","Position":"G","InjuryStatus":"OUT","Link":"https://www.rotowire.com/wnba/player/shey-peddy-632","Id":"632","WNBAId":"203035"},"Team":{"Name":null,"Id":null,"Code":""}},{"Id":"30537","DateTime":"2026-05-14T07:40:00-07:00","Priority":"2","Headline":"Set to active","Notes":"The Sun set Angloma (overseas commitment) to active Thursday.","Analysis":"The rookie No. 12 overall pick missed the start of the regular season due to an overseas commitment. However, she\u0027ll be available to make her WNBA debut Friday against the Aces unless Connecticut feels she needs more time to recover from her overseas obligations. Shey Peddy (knee) was waived by the Sun in a corresponding move Thursday.","Injury":{"Status":"","EspnInjuryStatus":"OUT","Type":null,"Location":null,"Detail":null,"Side":null,"ReturnDate":null},"Player":{"FirstName":"Nell","LastName":"Angloma","Position":"F","InjuryStatus":"","Link":"https://www.rotowire.com/wnba/player/nell-angloma-1044","Id":"1044","WNBAId":"1643448"},"Team":{"Name":"Connecticut Sun","Id":"3","Code":"CON"}}]}